<h1>Test automation project with Robot Framework and Java</h1>

<p align="justify">
<img src="https://img.shields.io/static/v1?label=java&message=11&color=turquoise&style=for-the-badge&logo=oracle"/>
<img src="https://img.shields.io/static/v1?label=maven&message=3.9&color=crimson&style=for-the-badge&logo=apachemaven"/>
<img src="https://img.shields.io/static/v1?label=robot&message=framework&color=yellow&style=for-the-badge&logo=robotframework"/>
</p>

## Project description

<p align="justify">

    Example project with API tests using RobotFramework with Java and Maven

</p>

## Technical details

<p align="justify">

   Although the Robot Framework is based on Python, it can be used to test Java applications. For UI testing in web applications, we use the SeleniumLibrary together with Selenium WebDriver. Selenium WebDriver is compatible with browsers such as Chrome, Firefox, and Safari, allowing UI tests to run in any supported browser. To test APIs or services, we use the Robot Framework's RequestsLibrary. Also, the project is configured to use the Robot Framework Maven plugin. This allows Robot Framework tests to run as part of the Maven build lifecycle. This is especially useful for continuous integration/continuous delivery (CI/CD), where you may want to run your tests automatically as part of your build pipeline.
   
</p>

## Functionalities

- :heavy_check_mark: CreateUser
- :heavy_check_mark: GetUser


## Pre-requisites

:warning: [Java 11](https://www.oracle.com/java/technologies/javase/jdk11-archive-downloads.html)
:warning: [Maven](https://maven.apache.org/download.cgi)
:warning: [RobotFramework](https://robotframework.org/)


## Run tests

To run RobotFramework with Maven use the command below:

``````
mvn robotframework:run -D includes=Nome_Tag
``````

## Support URLs

Links to framework documentation

- [Robot Framework HttpRequestLibrary](https://repo1.maven.org/maven2/com/github/marketsquare/robotframework-httprequestlibrary/0.0.19/robotframework-httprequestlibrary-0.0.19.html)
- [Robot Framework Maven Plugin](http://robotframework.org/MavenPlugin/run-mojo.html)